{ *************************************************************************** }
{                                                                             }
{ Delphi and Kylix Cross-Platform Visual Component Library                    }
{                                                                             }
{ Copyright (c) 2000-2002 Borland Software Corporation                        }
{                                                                             }
{ This file may be distributed and/or modified under the terms of the GNU     }
{ General Public License (GPL) version 2 as published by the Free Software    }
{ Foundation and appearing at http://www.borland.com/kylix/gpl.html.          }
{                                                                             }
{ Licensees holding a valid Borland No-Nonsense License for this Software may }
{ use this file in accordance with such license, which appears in the file    }
{ license.txt that came with this Software.                                   }
{                                                                             }
{ *************************************************************************** }

unit QConsts;

interface

const
  // Delphi mime types
  SDelphiBitmap = 'image/delphi.bitmap';
  SDelphiComponent = 'application/delphi.component';
  SDelphiPicture = 'image/delphi.picture';
  SDelphiDrawing = 'image/delphi.drawing';
  SBitmapExt = 'BMP';

resourcestring
  SInvalidCreateWidget = '饹 %s  QT Widget ǤޤǤ';
  STooManyMessageBoxButtons = 'åܥå˻ꤷܥο¿ޤ';

  SmkcBkSp = 'Backspace';
  SmkcTab = 'Tab';
  SmkcBackTab = 'BackTab';
  SmkcEsc = 'Esc';
  SmkcReturn = 'Return';
  SmkcEnter = 'Enter';
  SmkcSpace = 'Space';
  SmkcPgUp = 'PgUp';
  SmkcPgDn = 'PgDn';
  SmkcEnd = 'End';
  SmkcHome = 'Home';
  SmkcLeft = 'Left';
  SmkcUp = 'Up';
  SmkcRight = 'Right';
  SmkcDown = 'Down';
  SmkcIns = 'Ins';
  SmkcDel = 'Del';
  SmkcShift = 'Shift+';
  SmkcCtrl = 'Ctrl+';
  SmkcAlt = 'Alt+';

  SOpenFileTitle = 'Open';
  SDuplicateReference = 'Ʊ󥹥󥹤 WriteObject ٸƤФޤ';
  SClassMismatch = '꥽ %s ʤ饹Ǥ';
  SInvalidTabIndex = '֥ǥåϰϤĶƤޤ';
  SInvalidTabPosition = 'TabPosition ǻꤵ줿ͤϸߤ TabStyle ξ֤ǤϻǤޤ';
  SInvalidTabStyle = 'TabStyle ǻꤵ줿ͤϸߤ TabPosition ξ֤ǤϻǤޤ';
  SInvalidBitmap = 'ӥåȥޥåץ᡼Ǥ';
  SInvalidIcon = '󥤥᡼Ǥ';
  SInvalidPixelFormat = 'եޥåȤǤ';
  SBitmapEmpty = 'ӥåȥޥåפǤ';
  SScanLine = '饤ΥǥåϰϤۤޤ';
  SChangeIconSize = '礭ѹǤޤ';
  SUnknownExtension = 'ĥ .%s βϽǤޤ';
  SUnknownClipboardFormat = '̤бΥåץܡ ǡǤ';
  SOutOfResources = 'ƥ꥽­ޤ';
  SNoCanvasHandle = 'Canvas Ф褬Ǥޤ';
  SInvalidCanvasState = 'Х֤μϤǤޤ';
  SInvalidImageSize = '᡼ޤ';
  SInvalidWidgetHandle = ' widget ϥɥ';
  SInvalidColorDepth = '٤ 1, 8 ޤ 32 bpp ޤ';
  SInvalidXImage = 'Invalid XImage';
  STooManyImages = '᡼¿ޤ';
  SWidgetCreate = 'Error creating widget';
  SCannotFocus = '̵/ɽɥˤϥեǤޤ';
  SParentRequired = 'ȥ ''%s'' ϿƥɥäƤޤ';
  SParentGivenNotAParent = 'Parent given is not a parent of ''%s''';
  SVisibleChanged = 'OnShow/OnHide ٥Ȥνɽ֤ѹϤǤޤ';
  SCannotShowModal = 'ɽƤ륦ɥ⡼ˤ뤳ȤϤǤޤ';
  SScrollBarRange = 'С ץѥƥϰϤۤޤ';
  SPropertyOutOfRange = 'ץѥƥ %s ϰϤĶƤޤ';
  SMenuIndexError = '˥塼ǥåϰϤۤޤ';
  SMenuReinserted = '˥塼ɲäޤ';
  SNoMenuRecursion = 'ƵŪʥ˥塼ɲäϵޤ';
  SMenuNotFound = '֥˥塼˥塼ˤޤ';
  SMenuSetFormError = 'TMenu.SetForm:  TCustomForm ɬפޤ';
  SNoTimers = 'ޡǤޤ';
  SNoAdapter = 'ͭʥץ󥿥ץ¸ߤʤǤޤ';
  SPrinterIndexError = 'ץֹ椬ϰϤĶƤޤ';
  SInvalidPrinter = 'Invalid Printer';
  SDeviceOnPort = '%s. %s';
  SGroupIndexTooLow = 'GroupIndex ľΥ˥塼ƥ GroupIndex 꾮뤳ȤǤޤ';
  SNoMDIForm = 'եबǤޤͭ MDI եबޤ';
  SNotAnMDIForm = '饹 %s  MDIParent ޤ';
  SMDIChildNotVisible = 'MDI ҥե򱣤ȤϤǤޤ';
  SImageCanvasNeedsBitmap = 'ӥåȥޥåפäƤΤߥ᡼ѹǽǤ';
  SControlParentSetToSelf = 'ʬȤƤȤ뤳ȤϤǤޤ';
  SOKButton = 'OK';
  SCancelButton = 'Cancel';
  SYesButton = '&Yes';
  SNoButton = '&No';
  SHelpButton = '&Help';
  SCloseButton = '&Close';
  SIgnoreButton = '&Ignore';
  SRetryButton = '&Retry';
  SAbortButton = 'Abort';
  SAllButton = '&All';

  SCannotDragForm = 'եɥå뤳ȤϤǤޤ';
  SPutObjectError = '̤ιܤФ PutObject ƤӽФ';

  SFB = 'FB';
  SFG = 'FG';
  SBG = 'BG';
  SVIcons = 'Icon';
  SVBitmaps = 'BitMaps';
  SVPixmaps = 'PixMaps';
  SVPNGs = 'PNG';
  SDrawings = 'Drawing';
  SVJpegs = 'Jpegs';
  SInvalidNumber = 'Invalid Number';
  SInvalidCurrentItem = 'Invalid Currenct Item';

  SMsgDlgWarning = 'Warning';
  SMsgDlgError = 'Error';
  SMsgDlgInformation = 'Infomation';
  SMsgDlgConfirm = 'Confirm';
  SMsgDlgYes = '&Yes';
  SMsgDlgNo = '&No';
  SMsgDlgOK = 'OK';
  SMsgDlgCancel = 'Cancel';
  SMsgDlgHelp = '&Help';
  SMsgDlgHelpNone = 'No Help is prepared.';
  SMsgDlgHelpHelp = 'Help';
  SMsgDlgAbort = '&Abort';
  SMsgDlgRetry = '&Retry';
  SMsgDlgIgnore = '&Ignore';
  SMsgDlgAll = '&All';
  SMsgDlgNoToAll = 'No t&O all';
  SMsgDlgYesToAll = 'Yes to &All';

  srUnknown = '(Unknown)';
  srNone = '(None)';
  SOutOfRange = '%d  %d δ֤ͤǤʤФʤޤ';
  SCannotCreateName = '̾ʤݡͥȤΥǥեȥ᥽å̾ϼưǤޤ';
  SUnnamed = 'Unnamed';

  SInsertLineError = 'ԤǤޤ';

  SConfirmCreateDir = 'ꤵ줿ǥ쥯ȥ꤬¸ߤޤ󡣺ޤ';
  SSelectDirCap = 'Select Directory';
  SCannotCreateDirName = 'Cannot create Directory "%s" ';
  SAccessDeniedTo = 'Access denied to "%s" ';
  SCannotReadDirectory = 'Cannot read ' + sLineBreak + '"%s" ';
  SDirectoryNotEmpty = 'Directory  "%s" is not empty';
  SNotASubDir = '"%s" is not a subdirectory of  "%s" ';
  SDirNameCap = 'Directory &Name ';
  SDrivesCap = 'Drive (&R) ';
  SDirsCap = '&Drive ';
  SFilesCap = '&File  (*.*)';
  SNetworkCap = '&Network...';
  SInvalidDirectory = 'Invalid directory "%s" ';
  SNewFolder = 'New Folder';
  SFileNameNotFound = '"%s"'#10'not found';
  SAlreadyExists = 'Already exists. Assign another name.';
  SConfirmDeleteTitle = 'Confirm Delete';
  SConfirmDeleteMany = 'Confirm to Delete %d ?';
  SConfirmDeleteOne = 'Confirm to Delete "%s" ?';
  SContinueDelete = 'Continue to Delete?';
  SAdditional = 'Additional';
  SName = 'Name';
  SSize = 'Size';
  SType = 'Type';
  SDate = 'Date';
  SAttributes = 'Attributes';
{$IFDEF LINUX}
  SOwner = 'Owner';
  SGroup = 'Group';
  SDefaultFilter = 'All Files (*)|*|';
{$ENDIF}
{$IFDEF MSWINDOWS}
  SPermissions = '°';
  SDefaultFilter = '٤ƤΥե (*.*)|*.*|';
{$ENDIF}
  SDirectory = 'Directory';
  SFile = 'File';
  SLinkTo = 'Link to ';

  SInvalidClipFmt = 'Invalid Clip Format';
  SIconToClipboard = 'åץܡɤϥˤбƤޤ';
  SCannotOpenClipboard = 'Can not Open Clipboard';

  SDefault = 'Default';

  SInvalidMemoSize = 'Text size exceeds the limit.';
  SCustomColors = '५顼';
  SInvalidPrinterOp = '򤵤줿ץ󥿤ǤϥݡȤƤʤǤ';
  SNoDefaultPrinter = 'No Default Printers';

  SUntitled = '(̤̾)';

  SDuplicateMenus = '˥塼 ''%s'' ϴ¾ΥեǻȤƤޤ';

  SPictureLabel = ' ';
  SPictureDesc = ' (%dx%d)';
  SPreviewLabel = 'ץӥ塼';
  SNoPreview = 'ץӥ塼ɽǤޤ';

  SBoldItalicFont = 'å';
  SBoldFont = '';
  SItalicFont = 'å';
  SRegularFont = 'ɸ';

  SPropertiesVerb = 'ץѥƥ';

  SAllCommands = '٤ƤΥޥ';

  SDuplicatePropertyCategory = 'ץѥƥƥ %s ϤǤƤޤ';
  SUnknownPropertyCategory = 'ץѥƥƥ%sˤ¸ߤޤ';

  SInvalidFilter = 'ץѥƥե륿ˤ̾饹̾ϤȤϤǤޤ(%d:%d)';
  SInvalidCategory = 'ƥ꡼ˤϸͭ̾ʤФʤޤ';

  sOperationNotAllowed = 'ץꥱ󥤥٥ȤˤϻϹԤޤ';
  STextNotFound = 'ƥ %s Ĥޤ';

  SImageIndexError = 'ʥǥå᡼ꥹȤϤޤ';
  SReplaceImage = '᡼֤Ǥޤ';
  SInvalidImageType = '᡼μबǤ';
  SInvalidImageDimensions = '᡼ޤϹ⤵פƤޤ';
  SInvalidImageDimension = '᡼ޤϹ⤵Ǥ';
  SErrorResizingImageList = '᡼ꥹȤΥꥵ顼';

  SInvalidRangeError = 'ꤵ줿ϰ (%d  %d) Ǥ';
  SInvalidMimeSourceStream = 'MimeSource ηϥǡȥ꡼ȴϢŤʤФʤޤ';
  SMimeNotSupportedForIcon = 'Mime  TIcon 򥵥ݡȤޤ';

  SOpen = 'Open';
  SSave = 'Save';
  SSaveAs = 'Save As';
  SFindWhat = 'Find &New ';
  SWholeWord = 'Find a &Word';
  SMatchCase = 'Match &Case';
  SFindNext = '&Find Next';
  SCancel = 'Cancel';
  SHelp = 'Help';
  SFindTitle = 'Find';
  SDirection = 'Direction';
  SUp = '&Up';
  SDown = '&Down';
  SReplaceWith = 'Replace With (&L) ';
  SReplace = '&Replace';
  SReplaceTitle = 'Replace';
  SReplaceAll = 'Replace &All';
  SOverwriteCaption = 'Overwrite %s ';
  SOverwriteText = '%s already exists. '#13'Overwrite it ?';
  SFileMustExist = '"%s"' + sLineBreak + 'is not found.' + sLineBreak + 'Confirm the currect file name, '+    'and reassign.';
  SPathMustExist = '%s'#13' Path does not exist.'#13'Confirm correct path name';
  SDriveNotFound = 'Drive  %s does not exist.' + sLineBreak + 'Confirm correct Drive. '+    'And reassign.';

  SUnknownImageFormat = 'ǧǤʤ᡼եޥåȤǤ';
  SInvalidHandle = 'ꤵ줿ϥɥϥ饹 %s Ǥϰޤ';
  SUnableToWrite = 'Unable to Write the bitmap.';
  sAllFilter = 'All Files';

  sInvalidSetClipped = ' Clipped ץѥƥѹ뤳ȤϤǤޤ';

  sInvalidLCDValue = 'LCDNumber ˻ǤʤͤǤ';

  sTabFailDelete = '%d ܤΥ֤κ˼Ԥޤ';
  sPageIndexError = 'PageIndex ˤ %d Ǥޤ' +     'PageIndex  0  %d ޤǤͤǤʤФʤޤ';
  sInvalidLevel = 'ʳؤФ';
  sInvalidLevelEx = 'ƥ "%1:s" γ (%0:d) Ǥ';
  sTabMustBeMultiLine = 'TabPosition  tpLeft ޤ tpRight λ MultiLine  True ǤʤФʤޤ';
  sStatusBarContainsControl = '%s ϴ˥ơСϿƤޤ';
  sListRadioItemBadParent = 'Radio ƥοƥȥ Controller ƥɬפޤ';
  sOwnerNotCustomHeaderSections = 'Owner ץѥƥ TCustomHeaderSection ǤϤޤ';
  sHeaderSectionOwnerNotHeaderControl = 'Header  Owner  TCustomHeaderControl ɬפޤ';

  SUndo = 'Undo';
  SRedo = 'Redo';
  SLine = '-';
  SCut = 'Cut';
  SCopy = 'Copy';
  SPaste = 'Paste';
  SClear = 'Clear';
  SSelectAll = 'Sellect ALL';

  SBadMovieFormat = 'Unrecognized movie format';
  SMovieEmpty = 'ưɤ߹ޤƤޤ';
  SLoadingEllipsis = 'Loading...';

  SNoAppInLib = '̿Ū顼 ֥ͭȤޤϥ饤֥˥ץꥱ󥪥֥Ȥ뤳ȤϤǤޤ';
  SDuplicateApp = '̿Ū顼  ʣ TApplication 󥹥󥹤뤳ȤϤǤޤ';

implementation

end.

